Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class PdfFont

    java.lang.Object
      net.sf.jasperreports.engine.export.PdfFont

Deprecated. Replaced by `FontFamily.getExportFont(String)`.

    public class PdfFont

extends java.lang.Object

Version:
  $Id: PdfFont.java 3117 2009-10-08 13:35:27Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Constructor Summary
`PdfFont(java.lang.String pdfFontName, java.lang.String pdfEncoding, boolean isPdfEmbedded)` Deprecated.
`PdfFont(java.lang.String pdfFontName, java.lang.String pdfEncoding, boolean isPdfEmbedded, boolean isPdfSimulatedBold, boolean isPdfSimulatedItalic)` Deprecated.

Method Summary
`java.lang.String` | `getPdfEncoding()` Deprecated.
`java.lang.String` | `getPdfFontName()` Deprecated.
`boolean` | `isPdfEmbedded()` Deprecated.
`boolean` | `isPdfSimulatedBold()` Deprecated.
`boolean` | `isPdfSimulatedItalic()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfFont

    public PdfFont(java.lang.String pdfFontName,
                   java.lang.String pdfEncoding,
                   boolean isPdfEmbedded)

  Deprecated.

### PdfFont

    public PdfFont(java.lang.String pdfFontName,
                   java.lang.String pdfEncoding,
                   boolean isPdfEmbedded,
                   boolean isPdfSimulatedBold,
                   boolean isPdfSimulatedItalic)

  Deprecated.

Method Detail

### getPdfFontName

    public java.lang.String getPdfFontName()

  Deprecated.

### getPdfEncoding

    public java.lang.String getPdfEncoding()

  Deprecated.

### isPdfEmbedded

    public boolean isPdfEmbedded()

  Deprecated.

### isPdfSimulatedBold

    public boolean isPdfSimulatedBold()

  Deprecated.

### isPdfSimulatedItalic

    public boolean isPdfSimulatedItalic()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com